E-MailRelay

Public Member Functions | List of all members
G::MapFile::Error Struct Reference

Exception class for G::MapFile. More...

`#include <gmapfile.h>`

Inheritance diagram for G::MapFile::Error:
[legend]
Collaboration diagram for G::MapFile::Error:
[legend]

## Public Member Functions
| Exception (std::initializer_list< std::string_view >)
| Constructor. More...
| Exception (std::string_view what)
| Constructor. More...
| Exception (std::string_view what, std::string_view more)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2, std::string_view more3)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2, std::string_view more3, std::string_view more4)
| Constructor. More...
Public Member Functions inherited from G::Exception
| Exception (std::initializer_list< std::string_view >)
| Constructor. More...
| Exception (std::string_view what)
| Constructor. More...
| Exception (std::string_view what, std::string_view more)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2, std::string_view more3)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2, std::string_view more3, std::string_view more4)
| Constructor. More...

## Detailed Description

Exception class for G::MapFile.

Definition at line 62 of file gmapfile.h.

## Member Function Documentation

## ◆ Exception() [1/6]

G::Exception::Exception | ( | std::initializer_list< std::string_view > | args | ) |

Constructor.

Definition at line 66 of file gexception.cpp.

## ◆ Exception() [2/6]

G::Exception::Exception | ( | std::string_view | what | ) |
| explicit

Constructor.

Definition at line 69 of file gexception.cpp.

## ◆ Exception() [3/6]

G::Exception::Exception | ( | std::string_view | what,
|  | std::string_view | more
| ) |  |

Constructor.

Definition at line 72 of file gexception.cpp.

## ◆ Exception() [4/6]

G::Exception::Exception | ( | std::string_view | what,
|  | std::string_view | more1,
|  | std::string_view | more2
| ) |  |

Constructor.

Definition at line 75 of file gexception.cpp.

## ◆ Exception() [5/6]

G::Exception::Exception | ( | std::string_view | what,
|  | std::string_view | more1,
|  | std::string_view | more2,
|  | std::string_view | more3
| ) |  |

Constructor.

Definition at line 78 of file gexception.cpp.

## ◆ Exception() [6/6]

G::Exception::Exception | ( | std::string_view | what,
|  | std::string_view | more1,
|  | std::string_view | more2,
|  | std::string_view | more3,
|  | std::string_view | more4
| ) |  |

Constructor.

Definition at line 81 of file gexception.cpp.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gmapfile.h